> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usatimbre.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Organization

> Update organization details

## Overview

Update organization information such as name and description.

## Path Parameters

<ParamField path="org_id" type="string" required>
  The unique identifier of the organization
</ParamField>

## Request Body

<ParamField body="name" type="string">
  Updated organization name
</ParamField>

<ParamField body="description" type="string">
  Updated organization description
</ParamField>

## Response

Returns the updated organization object.

<ResponseField name="id" type="string">
  Unique organization identifier
</ResponseField>

<ResponseField name="name" type="string">
  Updated organization name
</ResponseField>

<ResponseField name="description" type="string">
  Updated organization description
</ResponseField>

<ResponseField name="updated_at" type="string">
  ISO 8601 timestamp of the update
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH "https://app.usatimbre.com/api/organizations/org_123456" \
    -H "Authorization: Bearer tmb_your_api_key_here" \
    -H "Content-Type: application/json" \
    -d '{
      "name": "Updated Organization Name",
      "description": "Updated description"
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://app.usatimbre.com/api/organizations/org_123456', {
    method: 'PATCH',
    headers: {
      'Authorization': 'Bearer tmb_your_api_key_here',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      name: 'Updated Organization Name',
      description: 'Updated description'
    })
  });
  const organization = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.patch(
      'https://app.usatimbre.com/api/organizations/org_123456',
      headers={
          'Authorization': 'Bearer tmb_your_api_key_here',
          'Content-Type': 'application/json'
      },
      json={
          'name': 'Updated Organization Name',
          'description': 'Updated description'
      }
  )
  organization = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "org_123456",
    "name": "Updated Organization Name",
    "description": "Updated description",
    "created_at": "2024-01-01T00:00:00Z",
    "updated_at": "2024-01-21T09:00:00Z",
    "feature_flags": {
      "bulk_invoicing": true,
      "advanced_reporting": true
    }
  }
  ```

  ```json 400 theme={null}
  {
    "error": "Bad Request",
    "message": "Invalid request body"
  }
  ```
</ResponseExample>
